Bug 1258870 - It is not possible to delete events using JBoss ON CLI
It is not possible to delete events using JBoss ON CLI
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.3.2
Unspecified Unspecified
medium Severity medium
: ER01
: JON 3.3.4
Assigned To: Michael Burman
Prachi
: Triaged
Depends On: 1258873
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 08:40 EDT by bkramer
Modified: 2015-10-28 10:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 10:37:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1595893 None None None Never

  None (edit)
Description bkramer 2015-09-01 08:40:29 EDT
Description of problem:

Methods: 

    ** int deleteEventsForContext(Subject subject, EntityContext context, List<Integer> eventIds);
    ** int purgeEventsForContext(Subject subject, EntityContext context);

are not exposed in EventManagerRemote so it is not possible to delete events using JBoss ON CLI.

Version-Release number of selected component (if applicable):
JBoss ON 3.3.2

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Michael Burman 2015-09-29 11:50:20 EDT
Fixed in the msater:

commit fc3849c64739399d95c76c01316775e2b7b044f2
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Sep 29 18:49:42 2015 +0300

    [BZ 1258870] Expose purgeEventForContext and deleteEventsForContext to remote API
Comment 4 Libor Zoubek 2015-09-30 15:34:30 EDT
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/5419181f4
time:    2015-09-30 21:34:00 +0200
commit:  5419181f4f88e6e4b4dd4de492598f4acf43c5a0
author:  Michael Burman - miburman@redhat.com
message: [BZ 1258870] Expose purgeEventForContext and deleteEventsForContext to
         remote API

         (cherry picked from commit
         fc3849c64739399d95c76c01316775e2b7b044f2) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>
Comment 6 Simeon Pinder 2015-10-09 00:40:25 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com/buildinfo?buildID=460382

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 11 errata-xmlrpc 2015-10-28 10:37:28 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1947.html

Note You need to log in before you can comment on or make changes to this bug.